// Copyright 2002-2003 University of Guelph, All Rights Reserved
import java.io.*;
import java.util.*;

class DoubleX extends Main {
  public static int numCases;

  static {
	EXE_NAME = "DoubleX";
	Debug.DEBUG_LEVEL = Debug.DEBUG_OFF;
  }

  public static void main(String[] Args) throws IOException, Exception {   
	Main.main(Args);
	DoubleXMutate mutateObject = new DoubleXMutate(problem);
	mutateObject.findSolution();
    if (!quiet) {
		problem.printSolution();
		System.out.println(String.valueOf(problem.numChecks) +
						   " checks in  " + String.valueOf(numCases) +
						   " cases.");
	} else {
	  System.out.print(String.valueOf(problem.numChecks) + " " +
					   String.valueOf(numCases + " "));	  

	  if (useSolnFile) {
		solnOut.print(problem.getSolutionString());
		solnOut.close();
	  }
	}	
  }
}

